Subject: Ticket Assigned - Article Feedback - I want to collect my order from store
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Mon, 07 Sep 2020 08:32:46 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I want to collect my order from store Feedback for:  I want to collect my order from store Good morning. I ordered a bed and i want to receive it as the delivery date is too far away. How can I receive my item which branch should i go? You can contact me on 94130333 order no 8201529574 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1459103